Skip to main content
`Ctrl`+`K`
scipy.special.

# sh_legendre

scipy.special.sh_legendre(n, monic=False)

  Shifted Legendre polynomial.

  Defined as \(P^*_n(x) = P_n(2x - 1)\) for \(P_n\) the nth Legendre polynomial.

  Parameters:
    n int

      Degree of the polynomial.

    monic bool, optional

      If True, scale the leading coefficient to be 1. Default is False.

  Returns:
    P orthopoly1d

      Shifted Legendre polynomial.

  Notes

  The polynomials \(P^*_n\) are orthogonal over \([0, 1]\) with weight function 1.